Online.net et version de PHP (Créer un compte)

  • WordPress :5.1
  • Statut : non résolu
9 sujets de 1 à 9 (sur un total de 9)
  • Auteur
    Messages
  • #2263190
    CD45
    Participant
    Initié WordPress
    5 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 5.4.9-4ubuntu2.4/ MySQL ???
    • Thème utilisé : Twenty Ten Child
    • Extensions en place : Contact Form 7, Embed Any document, Simple Lightbox Gallery, TinyMCE Advanced, Wordfence Security (version gratuite)
    • Nom de l’hébergeur : Online.net
    • Adresse du site : http://cd45.fr/v2

    Problème(s) rencontré(s) :

    J’ai un peu le même problème que les utilisateurs d’OVH. WP m’indique une mise à jour vers la version 5.2.1 mais lorsque je veux installer cette version j’obtiens le message suivant : « Vous ne pouvez pas mettre à jour car WordPress 5.2.1 nécessite PHP version 5.6.20 ou plus. Vous utilisez la version 5.4.9-4ubuntu2.4. ».

    Je me suis donc intéressé au problème et j’ai vu que Online.net proposait tout un choix de version de PHP. J’ai testé la version 5.6 et la version 7.2. Online m’indique que le changement est OK. Mais le message d’erreur apparait toujours. Hors je lis dans ce forum qu’il n’y a pas besoin d’indiquer à WP la version de PHP utilisée car il la détecte automatiquement.

    J’ai vu qu’il existait un plug-in SG Optimizer qui pourrait m’aider. Sauf que ce plug-in nécessite la version 5.6 de PHP ! Bref je ne suis pas plus avancé.

    Quelqu’un aurait-il une idée ou la solution ?

    D’avance merci.

    • Ce sujet a été modifié le il y a 4 années et 9 mois par CD45.
    #2263192
    PhiLyon
    Modérateur
    Maître WordPress
    28264 contributions

    Bonjour.

    Apparemment ils ne proposent que la version 7.1 https://documentation.online.net/fr/web/web-hosting/web-management/configure-php

    Et ton site est toujours en 5.4.9.

    🙂

    #2263225
    CD45
    Participant
    Initié WordPress
    5 contributions

    Dans la console d’administration de son compte Online.net on peut choisir jusqu’à la version 7.2.

    #2263240
    PhiLyon
    Modérateur
    Maître WordPress
    28264 contributions

    Si tu as fait le changement demandes à Online pour cela ne fonctionne pas.

    🙂

    #2263244
    CD45
    Participant
    Initié WordPress
    5 contributions

    J’ai testé avec une commande phpinfo et il semblerait que du coté de Online tout soit OK. A chaque fois que je change de version dans ma console d’administration j’en ai bien la confirmation avec ma commande phpinfo.

    • Cette réponse a été modifiée le il y a 4 années et 9 mois par CD45.
    #2263264
    PhiLyon
    Modérateur
    Maître WordPress
    28264 contributions

    Désactives les extensions et vides le ou les caches.

    🙂

    #2263271
    CD45
    Participant
    Initié WordPress
    5 contributions

    Il y a des caches « en dur » dans WP ? Si oui ou sont-ils ?

    Parce que là j’ai désactivé toutes les extensions et j’ai relancé le PC mais le problème persiste.

    J’ai vu des solutions en passant par le htaccess mais j’ai peur de me planter !

    En tout cas merci pour ton aide !

    #2263295
    PhiLyon
    Modérateur
    Maître WordPress
    28264 contributions
    #2263321
    CD45
    Participant
    Initié WordPress
    5 contributions

    Bon voila ce que j’ai fait :

    Dans htaccess j’ai trouvé le code suivant : « AddType application/x-httpd-php5-4 .php » que j’ai modifié en « AddType application/x-httpd-php7-2 .php ».

    Parce que le code trouvé dans ton lien me provoquait des choses bizarres comme la modification de fichiers WP.

    J’ai pu faire la mise à jour WP. J’ai réactivé tous mes plug-in et pour l’instant, mais je n’ai pas tout testé, cela semble fonctionner.

    Je laisse ce sujet ouvert pour le cas ou je constaterai des anomalies dans les jours prochains.

    Merci pour ton aide PhiLyon !

    • Cette réponse a été modifiée le il y a 4 années et 9 mois par CD45.
9 sujets de 1 à 9 (sur un total de 9)
  • Vous devez être connecté pour répondre à ce sujet.